curl --request GET \
--url https://api.sandbox.usenash.com/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.usenash.com/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.usenash.com/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"externalIdentifier": "<string>",
"shortReferenceCode": "<string>",
"status": "<string>",
"isBatch": true,
"createdAt": "2023-11-07T05:31:56Z",
"routeId": "<string>",
"portalUrl": "<string>",
"pickup": {
"businessName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"dropoff": {
"businessName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"delivery": {
"id": "<string>",
"providerName": "<string>",
"status": "<string>",
"courierName": "<string>",
"trackingUrl": "<string>",
"priceCents": 123,
"currency": "<string>"
}
}
],
"totalCount": 123,
"limit": 123,
"offset": 123
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]List/Search Jobs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
1 <= x <= 10025
x >= 00
Sort field (e.g. created_at, pickup_start_time)
ASC or DESC
Defaults to 3 days ago.
Defaults to 7 days from now so in-flight and scheduled deliveries are included.
Comma-separated delivery statuses (e.g. created,accepted_by_courier,delivered)
Comma-separated provider names
Comma-separated courier names
Comma-separated job tags
Comma-separated package tags
Comma-separated
Comma-separated
Free-form search across IDs, external identifiers, short reference codes, addresses, and courier/customer names. For an exact match on a single field, use the dedicated filter (e.g. short_reference_code).
Exact match on the 7-digit short reference code shown on delivery cards. Codes are non-unique; multiple jobs may be returned. When provided, the default date window is widened to 90 days so older jobs are discoverable.
Fuzzy, case-insensitive substring match on the end customer's name (pickup or dropoff full name) over the denormalized task. Use this to locate a delivery when the caller only knows the customer's name. Matches names only — not business names, addresses, or courier names (use search for broader free-form matching). When provided, the default date window is widened to 90 days so older deliveries are discoverable.
Filter to batch jobs only
Filter to jobs with notes
Comma-separated pickup/dropoff cities
Comma-separated pickup/dropoff states
Comma-separated pickup/dropoff countries
Was this page helpful?